Bug 20743 - Variety of mga bugs in XFree86 3d accel
Variety of mga bugs in XFree86 3d accel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-12 23:16 EST by Ed McKenzie
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-28 14:30:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2000-11-12 23:16:00 EST
The mga 3d driver shipped with XFree86 4 misbehaves in a variety of ways. Opening too many instances of 'gears' from xscreensavers (five or six) causes the Xserver to lock solid. Running ssystem windowed and occluded by other windows will also cause an Xserver hang in short order. The 3d waveform display plugin for XMMS can also cause the Xserver to hang if its window is resized or moved around too much. Most of these crashes are difficult to reproduce quickly, but they always occur. Strangely, quake3 seems to either run well for hours, or reboot the machine instantly, depending on what I've run recently. If the machine doesn't crash completely, the mouse cursor also still tracks, so I can kill the Xserver, but vesafb is trashed. Remote gdb indicates most of the crashes happen behind an int 0x80, so I suspect this may be a kernel issue.



K6-2/400, Matrox mgag200 AGP, stock RH7.0 install



I reported several bugs similar to these on the dri bugs list (sourceforge), but they don't seem to be keeping up with their bug reports.
Comment 1 Alan Cox 2000-11-28 12:45:12 EST
I received some patches for G400 dri problems from the VA hackers a few days
ago. I may merge
them for 2.2.18. If you want to test them drop me a mail

Alan
Comment 2 Ed McKenzie 2000-11-28 14:30:16 EST

I was told that XFree86 4.0.1f in debian-current fixes alot of these 

problems on my board, but I'd still be interested in testing kernel patches 

if they're applicable to g200 boards.


Note You need to log in before you can comment on or make changes to this bug.